<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\goods_time;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\goods_time\GoodsTimeLists;
use app\adminapi\logic\goods_time\GoodsTimeLogic;
use app\adminapi\validate\goods_time\GoodsTimeValidate;


/**
 * GoodsTime控制器
 * Class GoodsTimeController
 * @package app\adminapi\controller\goods_time
 */
class GoodsTimeController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/23 11:02
     */
    public function lists()
    {
        return $this->dataLists(new GoodsTimeLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/23 11:02
     */
    public function add()
    {
        $params = (new GoodsTimeValidate())->post()->goCheck('add');
        $result = GoodsTimeLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(GoodsTimeLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/23 11:02
     */
    public function edit()
    {
        $params = (new GoodsTimeValidate())->post()->goCheck('edit');
        $result = GoodsTimeLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(GoodsTimeLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/23 11:02
     */
    public function delete()
    {
        $params = (new GoodsTimeValidate())->post()->goCheck('delete');
        GoodsTimeLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/23 11:02
     */
    public function detail()
    {
        $params = (new GoodsTimeValidate())->goCheck('detail');
        $result = GoodsTimeLogic::detail($params);
        return $this->data($result);
    }


}